#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <time.h>


#define KEY_LEN (0xC)
//#define STANDALONE 1


int check_key_6(uint8_t* key_arr, char* name, uint32_t exp_date, uint32_t timed);
void gen_key_6(char* name, uint8_t chk1, uint8_t chk2, uint16_t exp_date, uint32_t timed, uint8_t* out_key);
void keygen_gm6(char* name, uint8_t* out_key);
void key_to_string(uint8_t* key, char* out_str, int buffer_sz);